[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: don't fail the build job if html pages cannot be updated
Holger Levsen
holger at moszumanska.debian.org
Fri Mar 13 12:41:34 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 28bf82f05f1c04147102ea56635b1f0af5c39270
Author: Holger Levsen <holger at layer-acht.org>
Date: Fri Mar 13 13:39:33 2015 +0100
reproducible: don't fail the build job if html pages cannot be updated
---
bin/reproducible_common.sh | 2 +-
logparse/reproducible.rules | 1 +
2 files changed, 2 insertions(+), 1 deletion(-)
diff --git a/bin/reproducible_common.sh b/bin/reproducible_common.sh
index a4ded0b..8b9a1ac 100755
--- a/bin/reproducible_common.sh
+++ b/bin/reproducible_common.sh
@@ -239,7 +239,7 @@ gen_packages_html() {
fi
done
string+=']'
- python3 -c "from reproducible_html_packages import gen_packages_html; gen_packages_html(${string}, suite=\"${suite}\", no_clean=True)"
+ python3 -c "from reproducible_html_packages import gen_packages_html; gen_packages_html(${string}, suite=\"${suite}\", no_clean=True)" || echo "Warning: cannot update html pages for ${string} in ${suite}"
done
cd "$CWD"
}
diff --git a/logparse/reproducible.rules b/logparse/reproducible.rules
index 911f100..dcb928d 100644
--- a/logparse/reproducible.rules
+++ b/logparse/reproducible.rules
@@ -11,3 +11,4 @@ warning /Warning: packages found where the build was started more than 24h ago:/
warning /Warning: .+ could not be fully removed./
warning /Warning: could not download.+/
warning /Warning: the following failed builds have been found/
+warning /Warning: cannot update html pages for.+/
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list